
QGIS Application - Bug report #4537

Unfilled Selected polygons not shown: boundaries not highlighted

2011-11-15 10:48 PM - alobo -

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 14453

Description

If the style of the vector layer consists of unfilled polygons,

selected polygons do not show up: boundaries of selected polygons should be highlighted.

(this could be considered a new feature, but I think that this is rather a bug, as the

result is that selected polygons are not highlighted).

Agus

History

#1 - 2011-11-19 05:48 PM - ramon .

Agus,

a couple of dumb questions.

1. Does this problem only occur in some of the polygons on your layer, or all of them?

2. Is the layer using New Symbology?

#2 - 2011-12-16 02:09 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-04-15 10:51 PM - alobo -

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

1. In old Symbology, selection is not displayed as filled yellow (or the color set by the user for selected features)

2. In new Symbology, selection is displayed as filled yellow (or the color set by the user for selected features),

but the suggestion I make for this case of unfilled polygons is to mark in yellow the outline of the selected polygones (i.e., as when you select a line). If the

user has set unfilled as style, this is because seeing through

the polygon layer is important.

At least an option?

Agus

#4 - 2012-04-16 06:32 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#5 - 2012-05-11 08:18 AM - Giovanni Manghi

- Operating System deleted (all)

2024-04-28 1/2



- Priority changed from Normal to High

One more thing:

if a polygon is filled with a SVG with no round corners (to all the area is covered by the svg patch), then if the polygon is selected... the selection color is all

overlapped by the svg symbols... so there is no visible selection.

The selection color/style MUST be applied also to polygons borders, this is really important for most of everyday/common users.

#6 - 2012-08-30 09:35 PM - alobo -

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2012-12-30 09:51 AM - Giovanni Manghi

- Priority changed from High to Normal

#8 - 2014-06-28 07:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#9 - 2017-05-01 01:10 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#10 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
